gtk.RadioToolButton
Prev | The gtk Class Reference | Next

## gtk.RadioToolButton

gtk.RadioToolButton — a toolbar item that contains a radio button (new in PyGTK 2.4)

## Synopsis

    class gtk.RadioToolButton(gtk.ToggleToolButton):
        gtk.RadioToolButton(group=None, stock_id=None)
        def set_group(group)
        def get_group()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.ToolItem
                +-- gtk.ToolButton
                  +-- gtk.ToggleToolButton
                    +-- gtk.RadioToolButton

## Implemented Interfaces

`gtk.RadioToolButton` implements `gtk.Buildable`

## gtk.RadioToolButton Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.ToolItem Properties

gtk.ToolButton Properties

gtk.ToggleToolButton Properties

"group" | Write | Sets a new group for a radio tool button. This property is available in GTK+ 2.4 and above.

## gtk.RadioToolButton Style Properties

gtk.Widget Style Properties

gtk.ToolButton Style Properties

## gtk.RadioToolButton Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.ToolItem Signal Prototypes

gtk.ToolButton Signal Prototypes

gtk.ToggleToolButton Signal Prototypes

## Description

### Note

This widget is available in PyGTK 2.4 and above.

A `gtk.RadioToolButton` is a `gtk.ToolItem` that contains a radio button, that is, a button that is part of a group of toggle buttons where only one button can be active at a time. Use the gtk.RadioToolButton() constructor to create a new `gtk.RadioToolButton`.

## Constructor

        gtk.RadioToolButton(group=None, stock_id=None)

`group` : | an existing `gtk.RadioToolButton`
`stock_id` : | the name of a stock item
Returns : | a new `gtk.RadioToolButton`

### Note

This constructor is available in PyGTK 2.4 and above.

Creates a new `gtk.RadioToolButton`, adding it to the same group as the `gtk.RadioToolButton` specified by `group` if it is not `None`. The new `gtk.RadioToolButton` will contain an icon and label from the stock item specified by `stock_id` if it is not `None`.

## Methods

### gtk.RadioToolButton.set_group

        def set_group(group)

`group` : | an existing `gtk.RadioToolButton` or `None`.

### Note

This method is available in PyGTK 2.4 and above.

The `set_group`() method adds the radio tool button to the same group as the `gtk.RadioToolButton` specified by `group`.

In PyGTK 2.6.2 and above, if `group` is `None` the radiotoolbutton will be removed from its current group.

### gtk.RadioToolButton.get_group

        def get_group()

Returns : | a list containing the `gtk.RadioToolButton`s in the group or `None`

### Note

This method is available in PyGTK 2.4 and above.

The `get_group`() method returns a list containing the `gtk.RadioButton` objects that are in the same group as the radio tool button or `None` if the radiotoolbutton is not in a group.

Prev | Up | Next
gtk.RadioMenuItem | Home | gtk.Range